aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-17 06:33:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-17 06:33:27 +0000
commit51b47a46393b5da6934ad6d50028187ab1fe0454 (patch)
tree2b0bc6baffc06424fa579372656e53e151cbd3e2
parentaaa034b0e28a2947274d06dcd1ffb4c98421dad3 (diff)
downloadaports-51b47a46393b5da6934ad6d50028187ab1fe0454.tar.bz2
aports-51b47a46393b5da6934ad6d50028187ab1fe0454.tar.xz
core/busybox: move /bin/ip to /sbin/ip
-rw-r--r--core/busybox/APKBUILD10
-rw-r--r--core/busybox/busybox-1.12.1-vi-path.patch11
2 files changed, 6 insertions, 15 deletions
diff --git a/core/busybox/APKBUILD b/core/busybox/APKBUILD
index 2673881e50..94621bb45a 100644
--- a/core/busybox/APKBUILD
+++ b/core/busybox/APKBUILD
@@ -1,17 +1,16 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=busybox
pkgver=1.14.2
-pkgrel=1
+pkgrel=2
pkgdesc="Size optimized toolbox of many common UNIX utilities"
url=http://busybox.net
-license=GPL-2
+license="GPL-2"
depends=
install="$pkgname.post-install $pkgname.post-upgrade"
source="http://busybox.net/downloads/$pkgname-$pkgver.tar.bz2
busybox-1.14.2-df.patch
busybox-1.14.2-ls.patch
busybox-1.14.2-udhcpd.patch
- $pkgname-1.12.1-vi-path.patch
$pkgname-1.11.1-bb.patch
bb-tar-numeric-owner.patch
$install
@@ -29,6 +28,10 @@ build() {
fi
done
+ sed -i -e 's/(ip, _BB_DIR_BIN/(ip, _BB_DIR_SBIN/' \
+ -e 's/(vi, _BB_DIR_BIN/(vi, _BB_DIR_USR_BIN/' \
+ include/applets.h || return 1
+
# we set the install prefix with sed since it might differ depending
# on abuild version
sed -e "s:^CONFIG_PREFIX=.*:CONFIG_PREFIX=\"$pkgdir\":" \
@@ -47,7 +50,6 @@ md5sums="c13b09b4125688d5fca5c95a79bf814a busybox-1.14.2.tar.bz2
a34c5e72c3f5308838ddc3bf70642136 busybox-1.14.2-df.patch
b261df2f193bb97d8e3e59e02c957780 busybox-1.14.2-ls.patch
ca9a77bd4f6000d2b031a2cee555fcd6 busybox-1.14.2-udhcpd.patch
-f5a8ae3145aa249868c1a1abc319c228 busybox-1.12.1-vi-path.patch
4c0f3b486eaa0674961b7ddcd0c60a9b busybox-1.11.1-bb.patch
0b5b2d7db201f90cd08f4a3164ee29a1 bb-tar-numeric-owner.patch
56b78c358797cd15fb64719a48939267 busybox.post-install
diff --git a/core/busybox/busybox-1.12.1-vi-path.patch b/core/busybox/busybox-1.12.1-vi-path.patch
deleted file mode 100644
index 428135c9f5..0000000000
--- a/core/busybox/busybox-1.12.1-vi-path.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- busybox-1.12.1.orig/include/applets.h Tue Oct 14 08:10:32 2008
-+++ busybox-1.12.1/include/applets.h Tue Oct 14 08:11:16 2008
-@@ -389,7 +389,7 @@
- USE_UUDECODE(APPLET(uudecode, _BB_DIR_USR_BIN, _BB_SUID_NEVER))
- USE_UUENCODE(APPLET(uuencode, _BB_DIR_USR_BIN, _BB_SUID_NEVER))
- USE_VCONFIG(APPLET(vconfig, _BB_DIR_SBIN, _BB_SUID_NEVER))
--USE_VI(APPLET(vi, _BB_DIR_BIN, _BB_SUID_NEVER))
-+USE_VI(APPLET(vi, _BB_DIR_USR_BIN, _BB_SUID_NEVER))
- USE_VLOCK(APPLET(vlock, _BB_DIR_USR_BIN, _BB_SUID_ALWAYS))
- USE_WATCH(APPLET(watch, _BB_DIR_BIN, _BB_SUID_NEVER))
- USE_WATCHDOG(APPLET(watchdog, _BB_DIR_SBIN, _BB_SUID_NEVER))